<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Src="bo.ascx" TagName="bo" TagPrefix="uc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>实用网址批量提交工具</title>
    <link href="StyleSheet.css" type="text/css"  rel="stylesheet" />
    <meta name="keywords" content="网址批量提交,SEO工具">
    <meta name="description" content="SEO工具,网站优化工具,网址批量提交,平民化傻瓜式操作,让网站优化比打字还简单.">
    <script type="text/javascript" language="javascript">
   function ForceWindow ()
    {
    this.r = document.documentElement;
    this.f = document.createElement("FORM");
    this.f.target = "_blank";
    this.f.method = "post";
    this.r.insertBefore(this.f, this.r.childNodes[0]);
    }
    ForceWindow.prototype.open = function (sUrl)
    {
    this.f.action = sUrl;
    this.f.submit();
    }
window.force = new ForceWindow();


function getp(u){var my = new ForceWindow();my.open(u);}
var _u = null;
function getu(u,fid){_u=u;document.getElementById(fid).src=u;}
var obj = null;
function InitData(objId)
{obj=objId;}
function trim(str)  
{  
  return str.replace(/(^\s*)|(\s*$)/g, "");  
}
function checkUrl(s)
{
    var f = false;
    var re= /^http[s]{0,1}:\/\/[A-Za-z0-9]+\.[A-Za-z0-9]+[\/=\?%\-&_~`@[\]\':+!]*([^\"\"])*$/gi;
    var re1  =/^[A-Za-z0-9]+\.[A-Za-z0-9]+[\/=\?%\-&_~`@[\]\':+!]*([^<>\"\"])*$/gi;
    if(re.test(s))
        f=true;
    if(re1.test(s))
        f=true;
    return f;
}
function Yanz(s)
{
    var   result   =   checkUrl(s);     
    if (!result)
        return false;
    else
        return true;
}
function checkValue()
{
    var str = document.getElementById(obj).value;
    var s = trim(str);
    if(s=="")
    {
        alert("网址输入错误，请重新输入！");
        return false;
    }
    if(!Yanz(s))
    {
        alert("网址输入错误，请重新输入！");
        return false;
    }else
    {
        return true;
    }
}
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="divSub">
        <span>自动化翻页提交，无需人工干预,提交到1千多网址</span><br />
        <span><font color="blue">11.11</font> 数据更新,共有1200多网址</span>
        
        <div><font color="#FF0000">工具用途</font><font color="#0000FF">:每天3次，轻松提高网站曝光率,增加反向链接,快速增高世界排名等</font></div>
        <div>不管有无作用，请先试用2-3天再看效果</div>
        <div><font color="#FF0000">11月12日版本更新：增加<a href="liuyan.aspx" target=_blank titile="如果您有好的意见或建议，请给我留言">在线留言</a>模块</font></div>
        <div><font color="#FF0000">11月13日版本更新：增加<font color=red>最近查询提交网址TOP30</font>模块</font></div>
        <div><font color="#FF0000">11月14日版本更新：增加<font color=red><a href="link.aspx" target="_blank">自助友情连接</a></font>模块</font></div>
  <div>
        <b>网址:</b><asp:TextBox ID="TextBox1" runat="server"></asp:TextBox><asp:Button ID="Button1"   runat="server" Text="自动推广提交" OnClick="Button1_Click" />
        <asp:HyperLink ID="HyperLink1" runat="server"></asp:HyperLink>
        <p style="color:Red; font-size:15px;"><a href="liuyan.aspx" target="_blank">给我留言</a>&nbsp;|&nbsp;<a href="link.aspx" target="_blank">自助友情连接</a>&nbsp;|&nbsp;<a href="addLink.aspx" target="_blank">申请友情连接</a>
   </div>
   <div class="divTop" >
     <span >最近提交网站TOP 30<br /></span>
     <ul id="ulTop" runat="server">
       <li>www.13sb.cn&nbsp;&nbsp;</li>
       <li>www.13sb.cn&nbsp;&nbsp;</li>
       <li>www.13sb.cn&nbsp;&nbsp;</li>
       <li>www.13sb.cn&nbsp;&nbsp;</li>
       <li>www.13sb.cn&nbsp;&nbsp;</li>
       <li>www.13sb.cn&nbsp;&nbsp;</li>
       <li>www.13sb.cn&nbsp;&nbsp;</li>
       <li>www.13sb.cn&nbsp;&nbsp;</li>
       <li>www.13sb.cn&nbsp;&nbsp;</li>
       <li>www.13sb.cn&nbsp;&nbsp;</li>
       <li>www.13sb.cn&nbsp;&nbsp;</li>
     </ul>
   </div>
        <uc1:bo ID="Bo1" runat="server" />
        <iframe id="frameS"  src="" height="0" runat="server"></iframe>
        
    </div>
    </form>
</body>

</html>
